<div class="dropdown is-hoverable">
  <div class="dropdown-trigger">
    <button
      [id]="buttonId"
      class="button is-primary is-rounded has-tooltip"
      aria-haspopup="true"
      attr.aria-controls="{{ 'controls-' + buttonId }}"
      [ngClass]="{
        'is-small': drugstoneConfig.smallStyle
      }"
    >
      <app-fa-solid-icon icon="download"></app-fa-solid-icon>
      <span [ngClass]="{ 'text-small': drugstoneConfig.smallStyle }"
        >Download</span
      >
    </button>
  </div>
  <div
    class="dropdown-menu"
    id="{{ 'controls-' + buttonId }}"
    role="menu"
    [ngClass]="{
      'inner-dropdown': !networkHandler.networkSidebarOpen
    }"
  >
    <div class="dropdown-content">
      <a
        (click)="download('graphml')"
        class="dropdown-item"
        [ngClass]="{ 'text-normal': drugstoneConfig.smallStyle }"
        >.graphml</a
      >
      <!-- <hr class="dropdown-divider" /> -->
      <a
        (click)="download('json')"
        class="dropdown-item"
        [ngClass]="{ 'text-normal': drugstoneConfig.smallStyle }"
        >.json</a
      >
      <!-- <hr class="dropdown-divider" /> -->
      <!-- <a
        (click)="download('csv')"
        class="dropdown-item"
        [ngClass]="{ 'text-normal': drugstoneConfig.smallStyle }"
        >.csv</a
      > -->
    </div>
  </div>
</div>
